# Deepin Movie|../common/deepin-movie.svg|
## Overview|../common/icon_overview.svg|

Pleasant leisure time, let Deepin Movie accompany you to spend together!

Deepin Movie provides an intuitive easy to use operation interface and rich complete shortcuts. You can complete all play operations by keyboard, which will make you thoroughly get rid of the constraint of mouse click. Video files in various formats can be played through Deepin Movie, and you can use the streaming function to easily enjoy online video resources.

![0|Main Interface](png/homeinterface.png)

## Basic Operations|../common/icon_basicoperation.svg|
### Run Deepin Movie

1. Click on ![Launcher](icon/launcher-24.svg) at the bottom of desktop or move the mouse pointer to the upper left corner of the screen, enter into launcher interface.
2. Scroll up and down with the mouse wheel, find ![Deepin Movie](icon/movie-24.svg) by browsing to click on.

> ![notes](icon/notes.svg): Deepin Movie has been fixed on Dock by default, you can click on ![Deepin Movie](icon/movie-24.svg) on Dock to run.

### Maximize/Minimize Deepin Movie

- On Deepin Movie interface, click on ![Maximize](icon/icon_max.svg) to display the maximized Deepin Movie window. If you want to restore the normal display, click on ![Retore](icon/icon_unmax.svg).
- On Deepin Movie interface, click on ![Minimize](icon/icon_min.svg) to minimize Deepin Movie to Dock. If you want to restore the display, click on ![Deepin Movie](icon/movie-24.svg) on Dock.

### Close Deepin Movie
On Deepin Movie interface, click on ![Close](icon/icon_close.svg) to exit Deepin Movie.

> ![notes](icon/notes.svg): You can also right-click on ![Deepin Movie](icon/movie-24.svg) on Dock, select **Close All** to exit Deepin Movie.

 ![0|Close Deepin Movie on Dock](png/closemovie.png)

### Move Play Window

You can move the player to any location on the screen to display.

1. Move the mouse pointer over Deepin Movie interface.
2. Hold down the left mouse button, drag and drop the video play window to any location on the screen.

### Customize Window Size

You can zoom in or out the video play window in equal proportion by manually dragging and dropping.

1. On Deepin Movie interface, move the mouse pointer over an edge of Deepin Movie, and then the mouse pointer changes to ![Double Sided Arrow](icon/icon_arrow.svg).
2. Hold down the left mouse button, drag and drop the video play window to zoom in or out, and the window size will be displayed in video play window in real time.


## Shortcuts|../common/icon_shortcutkey.svg|
### View Shortcuts

You will do more with less subsequent operations if you can firstly view the shortcuts configuration before playing the video.

1. On Deepin Movie interface, press ![Ctrl](icon/Ctrl.svg)+![Shift](icon/Shift.svg)+![QM](icon/QM.svg) on keyboard to open shortcuts preview interface.
2. In the shortcuts preview interface, you can view all the shortcuts.

  ![0|Shortcuts](png/shortcut.png)

> ![attention](icon/attention.svg): During video play, you can open shortcuts preview interface at any time.

<table class="block2">
    <caption>Shortcuts of Play Operations</caption>
    <tbody>
        <tr>
            <td>Pause/ Play</td>
            <td>Space</td>
        </tr>
        <tr>
            <td>Forward</td>
            <td>Right</td>
        </tr>
        <tr>
            <td>Backward</td>
            <td>Left</td>
        </tr>
         <tr>
            <td>Fullscreen</td>
            <td>Return</td>
        </tr>
        <tr>
            <td>Playlist</td>
            <td>F3</td>
        </tr>
        <tr>
            <td>Accelerate playback</td>
            <td>Ctrl+Right</td>
        </tr>
        <tr>
            <td>Decelerate playback</td>
            <td>Ctrl+Left</td>
        </tr>
        <tr>
            <td>Restore playback speed</td>
            <td>R</td>
        </tr>
    </tbody>
 </table>

<table class="block2">
    <caption>Shortcuts of Frame/ Sound Adjustment</caption>
    <tbody>
        <tr>
            <td>Mini mode</td>
            <td>F2</td>
        </tr>
        <tr>
            <td>Rotate counterclockwise</td>
            <td>E</td>
        </tr>
        <tr>
            <td>Rotate clockwise</td>
            <td>W</td>
        </tr>
        <tr>
            <td>Volume Up</td>
            <td>Up</td>
        </tr>
        <tr>
            <td>Volume Down</td>
            <td>Down</td>
        </tr>
        <tr>
            <td>Mute</td>
            <td>M</td>
        </tr>
        <tr>
            <td>-</td>
            <td>-</td>
        </tr>
        <tr>
            <td>-</td>
            <td>-</td>
        </tr>
    </tbody>
 </table>

<table class="block2">
    <caption>Shortcuts of File Operations</caption>
    <tbody>
        <tr>
            <td>Open a file</td>
            <td>Ctrl+O</td>
        </tr>
        <tr>
            <td>Open previous</td>
            <td>PgUp</td>
        </tr>
        <tr>
            <td>Open next</td>
            <td>PgDown</td>
        </tr>

    </tbody>
 </table>
<table class="block2">
    <caption>Shortcuts of Other Operations</caption>
    <tbody>
        <tr>
            <td>Left click</td>
            <td>Pause/ Play</td>
        </tr>
        <tr>
            <td>Double click</td>
            <td>Fullscreen</td>
        </tr>
        <tr>
            <td>Scroll</td>
            <td>Volume</td>
        </tr>
    </tbody>
</table>

<table class="block1">
    <caption>Subtitle Setting Shortcuts</caption>
    <tbody>
        <tr>
            <td>Subtitle advanced 0.5s</td>
            <td>Shift+Right</td>
        </tr>
        <tr>
            <td>Subtitle delayed 0.5s</td>
            <td>Shift+Left</td>
        </tr>
        <tr>
            <td>Subtitle up</td>
            <td>Shift+Up</td>
        </tr>
        <tr>
            <td>Subtitle down</td>
            <td>Shift+Down</td>
        </tr>
    </tbody>
</table>


### Set Shortcuts

You can change the shortcuts according to your operation habit.

 ![0|Shortcuts Settings](png/shortcutsetting.png)

#### Enable shortcuts

1. On Deepin Movie interface, click on ![Menu](icon/icon_menu.svg).
2. Click on **Settings**.
3. Click on **Keyboard Shortcuts**.
4. Select the check box of **Enable keyboard shortcuts** under the shortcuts you need.

#### Change Shortcuts

1. On Deepin Movie interface, click on ![Menu](icon/icon_menu.svg).
2. Click on **Settings**.
3. Click on **Keyboard Shortcuts**.
4. Click the shortcut you want to modify, and use the keyboard to enter the new shortcut.

#### Delete Shortcuts

1. On Deepin Movie interface, click on ![Menu](icon/icon_menu.svg).
2. Click on **Settings**.
3. Click on **Keyboard Shortcuts**.
4. Click the shortcut you want to delete, and press ![Backspace](icon/Backspace.svg) on the keyboard.


## Open Video File|../common/icon_openvideofile.svg|
Play your favorite videos by Deepin Movie

You can get video files by the following ways:

- Copy the video file to computer via USB cable from the storage device (such as USB flash drive) for play.
- When computer is connected to the network, copy the network video URL to Deepin Movie for online play.

![0|Open A File](png/openfileinterface.png)

### Open A File

You can open video file by executing one of the following operations:

- On Deepin Movie interface, click on ![Menu](icon/icon_menu.svg) or the right mouse button to select **Open a file** to select one file or more.
- On Deepin Movie interface, click on ![Open A File](icon/icon_openfile.svg) or press ![Ctrl](icon/Ctrl.svg)+![O](icon/O.svg) on keyboard to select one file or more.
- Drag and drop the video you want to open to Deepin Movie by mouse for play.

> ![tips](icon/tips.svg): You also can double click on Deepin Movie interface to select one file or more.

### Open A Folder 
You can open a folder that contains multiple video files by executing one of the following operations. Audio and video files in the folder will be displayed in playlist and played successively.

- On Deepin Movie interface, click on ![Menu](icon/icon_menu.svg) or the right mouse button to select **Open a folder**.
- Drag and drop the folder you want to open to Deepin Movie by mouse for play.

### Open URL

Wonderful videos on Internet also can be played by Deepin Movie.

1. Copy the online video URL from browser.
2. On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg).
3. Click on **Open URL**.
4. Right click to select **Paste**.
5. Click on **Confirm**.

> ![attention](icon/attention.svg): When you play online videos, make sure that your computer is connected to the network.

## Set Display Mode|../common/icon_playmodesetting.svg|

During video play, you can flexibly set the video display mode.

![0|Set Display Mode](png/playmodesetting.png)

### Switch to Fullscreen Mode Dispaly

Fullscreen play is that the video fully filled the entire screen to play, making you focus on the video content.

#### Set FullScreen
You can play videos in fullscreen mode by executing one of the following operations:

- On Deepin Movie interface, double-click the left mouse button.
- On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg) to select **Fullscreen**.
- On Deepin Movie interface, click on ![Fullscreen](icon/icon_fullscreen.svg).
- On Deepin Movie interface, press ![Enter](icon/Enter.svg) on keyboard.

#### Exit Fullscreen

If you want to exit fullscreen, you can:

- Double-click the left mouse button.
- Click the right mouse button or click on ![Menu](icon/icon_menu.svg) to select **Exit fullscreen**.
- Click on ![Exit Fullscreen](icon/icon_cancelfullscreen.svg).
* Press ![Esc](icon/Esc.svg) on keyboard.

### Switch to Mini Mode Display

The mini mode play is the small window play that saves the desktop space and allows you to execute other operations while watching the video. Work as well as play.

> ![notes](icon/notes.svg): In mini mode, the player displays "On Top" by default.

#### Set Mini Mode

You can play video in mini mode by executing one of the following operations:

- On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg) to select **Mini mode**.
- On Deepin Movie interface, press ![F2](icon/F2.svg) on keyboard.

#### Exit Mini Mode
If you want to exit mini mode, you can:

- Click the right mouse button or click on ![Menu](icon/icon_menu.svg) to select **Exit mini mode**.
- Press ![F2](icon/F2.svg) on keyboard to restore.

#### Icon Description of Mini Mode

  ![0|Mini Mode](png/minimode.png)

<table class="block1">
    <tbody>
        <tr>
            <td><img src="icon/icon_quick1_1.svg" class="inline" /></td>
            <td>Click on the frame to play according to the original window size. </td>
            <td><img src="icon/icon_quick1_5.svg" class="inline" /></td>
            <td>Click on the frame to play according to 1.5 times of original window size. </td>
        </tr>
        <tr>
            <td><img src="icon/icon_fullscreen.svg" class="inline" /></td>
            <td>Click to switch to fullscreen play. </td>
            <td><img src="icon/icon_untop.svg" class="inline" /></td>
            <td>Click to cancel "On Top" display. </td>
        </tr>
          </tbody>
</table>


### Set "On Top" Display

"On Top" play means that the video play window is always placed on top of all opened windows and not covered by other windows.

1. On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg).
2. Click on **On Top**, player will be displayed on top.
3. If you want to cancel "On Top" display, click the right mouse button or click on ![Menu](icon/icon_menu.svg) to select **On Top**.

## Common Play Operations|../common/icon_playvideofile.svg|

You can view and execute common play operations through icons while enjoying the joy from videos.

  ![0|Play](png/playmovie.png)

<table class="block1">
    <tbody>
        <tr>
            <td>1</td>
            <td width="60px">Play window</td>
            <td>Display the video content, video information and function icons will be displayed after the mouse pointer moved into the play window, otherwise will be hidden. Play window is the frameless mode, you can freely drag and drop play window to manually adjust its size. </td>
        </tr>
        <tr>
            <td>2</td>
            <td>Progress bar</td>
            <td>It's to display video play progress and you can change the progress by dragging and dropping the progress bar. Move the mouse pointer over the progress bar, and the progress bar will be bold intelligently and display the video preview window. </td>
        </tr>
         <tr>
            <td>3</td>
            <td>Time display</td>
            <td>Display the total time and played time information of current video. </td>
        </tr>
         <tr>
            <td>4</td>
            <td>Preview window</td>
            <td>Display the video content, you can view the video content at a point in time by the preview window. </td>
        </tr>
         <tr>
            <td>5</td>
            <td>Video title</td>
            <td>Display the playing video name. </td>
        </tr>
    </tbody>

</table>

![notes](icon/notes.svg): When mouse is over the progress bar, the preview window is displayed by default; if preview display not needed, you can change in the settings. Specific operations, please refer to [Option Settings](#Option Settings).

### Icon Description

<table class="block1">
     <tbody>
     <tr>
            <td><img src="icon/icon_next.svg" class="inline" /></td>
            <td>Play next video</td>
            <td><img src="icon/icon_previous.svg" class="inline" /></td>
            <td>Play previous video</td>
         </tr>
         <tr>
            <td><img src="icon/icon_volume.svg" class="inline" /></td>
            <td>Volume adjustment</td>
            <td><img src="icon/icon_fullscreen.svg" class="inline" /></td>
            <td>Fullscreen</td>
        </tr>
        <tr>
            <td><img src="icon/icon_openfile.svg" class="inline" /></td>
            <td>Open a file</td>
            <td><img src="icon/icon_openplaylist.svg" class="inline" /></td>
            <td>Playlist</td>
        </tr>
        <tr>
            <td><img src="icon/icon_pause.svg" class="inline" /></td>
            <td>Pause/ play</td>
            <td><img src="icon/icon_stop.svg" class="inline" /></td>
            <td>Stop playing</td>
        </tr>
        <tr>
            <td><img src="icon/icon_menu.svg" class="inline" /></td>
            <td>Main menu</td>
            <td><img src="icon/icon_max.svg" class="inline" /></td>
            <td>"Maximize" button</td>
        </tr>
        <tr>
            <td><img src="icon/icon_min.svg" class="inline" /></td>
            <td>"Minimize" button</td>
            <td><img src="icon/icon_close.svg" class="inline" /></td>
            <td>"Close" button</td>
        </tr>
    </tbody>
</table>

### Play/Pause

You can play by executing one of the following operations:

- On Deepin Movie interface, click on ![Play](icon/icon_play.svg).
- On Deepin Movie interface, press ![Space](icon/Space.svg) on keyboard.
- On Deepin Movie interface, click the left mouse button.

If you want to pause, you can:

- On Deepin Movie interface, click on ![Pause](icon/icon_pause.svg).
- On Deepin Movie interface, press ![Space](icon/Space.svg) on keyboard.
- On Deepin Movie interface, click the left mouse button.

If you want to stop playing, please click on ![Stop](icon/icon_stop.svg).

### Play Previous/Next

If you want to play previous video, you can:

- On Deepin Movie interface, press  ![Page Up](icon/PageUp.svg).
- On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg) to select **Play** >**Previous**.
- On Deepin Movie interface, click on ![Previous](icon/icon_previous.svg).

If you want to play next video, you can:

- On Deepin Movie interface, press ![Page Down](icon/PageDown.svg) on keyboard.
- On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg) to select **Play** >**Next**.
- On Deepin Movie interface, click on ![Next](icon/icon_next.svg).

![0|Play Operation](png/playoperating.png)

### Forward/Backward

If you want to play video forward, you can:

- On Deepin Movie interface, press ![Right](icon/Right.svg) on keyboard.
- On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg) to select **Play** >**Forward**.

If you want to play video backward, you can:

- On Deepin Movie interface, press ![Left](icon/Left.svg) on keyboard.
- On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg)) to select **Play** >**Backward**.

> ![notes](icon/notes.svg): The default forward/backward time span is 5s, you can enter the settings to change it. Specific operations, please refer to [Option Settings](#Option Settings).

### Accelerate/Decelerate Play

1. On Deepin Movie interface, press ![Ctrl](icon/Ctrl.svg)+![Right](icon/Right.svg) on keyboard to accelerate the play.
2. If you want to decelerate play, press ![Ctrl](icon/Ctrl.svg)+![Left](icon/Left.svg) on keyboard.
3. If you want to restore the original play speed, press ![R](icon/R.svg) on keyboard.

>![notes](icon/notes.svg): Acceleration/deceleration play is relative to the original play speed. The acceleration/deceleration speed will increase/decrease 0.1 times after accelerating/decelerating one time. If hold down ![Ctrl](icon/Ctrl.svg)+![Right](icon/Right.svg) or ![Left](icon/Left.svg), the video play speed will increase or decrease. The maximum play speed is 2 times of the original play speed and the minimum play speed is 0.1 times of the original play speed.

### View Video File Information

You can view the details of current playing video files.

1. On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg).
2. Click on **Information**, you can view the video file size, duration, path and other information.
3. If you want to copy the video file details to other locations, please click on **Copy to clipboard**.

>![tips](icon/tips.svg) : You also can click on ![Playlist](icon/icon_openplaylist.svg) to expand the playlist, and then right-click on the video file to select **Information** to view the video file details.

![0|Information](png/fileinformation.png)

## Adjust Volume|../common/icon_volumesetting.svg|
You can adjust the volume to enjoy better sound performance during watching the video.

![0|Volume Adjustment](png/volumesetting.png)

### Mute Settings

You can set to be mute by the following ways:

- On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg) to select **Sound** > **Muted**.
- On Deepin Movie interface, press ![M](icon/M.svg) on keyboard.
- On Deepin Movie interface, click on![Volume](icon/icon_volume.svg) and the sound button becomes ![Mute](icon/icon_muted.svg).

If you want to cancel mute mode, you can:

- Press ![M](icon/M.svg) on keyboard again.
- Click on![mute](icon/icon_muted.svg) and the sound button becomes ![volume](icon/icon_volume.svg).

### Volume Up/Down

- On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg) > **Sound** to select **Volume up** to increase volume; click on **Volume Down** to decrease volume.
- On Deepin Movie interface, press ![Up](icon/Up.svg) or ![Down](icon/Down.svg) on keyboard.
- On Deepin Movie interface, scroll up and down the mouse wheel to increase/decrease the volume.
- On Deepin Movie interface, move the mouse pointer over ![Volume](icon/icon_volume.svg) to display the volume slider. Hold down the left mouse button, drag the volume slider leftward or rightward to increase/decrease the volume.

## Adjust Frame|../common/icon_picsetting.svg|
You can freely set by rich frame adjusting functions to make the video watching process more comfortable.

![0|Adjust Frame](png/picturesetting.png)

### Frame Size Adjustment

1. On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg).
2. Clicking on **Frame**, you can:
   - Select **0.5** to play video in 0.5 times of original frame size.
   - Select **1** to play video in original frame size.
   - Select **1.5** to play video in 1.5 times of original frame size.
   - Select **2** to play video in 2 times of original frame size.

> ![notes](icon/notes.svg) : Frame size is relative to the size of original play frame, the adjustment is based on the multiple of original frame size to increase/decrease.

### Frame Proportion Adjustment

1. On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg).
2. Click on **Frame**.
3. The video will be played in the frame proportion after selected a frame proportion.

### Frame Rotation

1. On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg).
2. Clicking on **Frame**, you can:
  - Select **Rotate 90 degree clockwise**, the frame played will rotate 90 degree clockwise.
  - Select **Rotate 90 degree counterclockwise**, the frame played will rotate 90 degree counterclockwise.
  - Select **Flip horizontally**, the frame played will flip around along the vertical axis.
  - Select **Flip vertically**, the frame played will flip top to bottom along the horizontal axis.

## Set Subtitles|../common/icon_srtsetting.svg|

You can manually select your favorite subtitle to load with more enjoyable watching experience.

![0|Select Subtitle](png/selectsrt.png)

### Load Subtitles Manually

- On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg) > **Subtitles** to select **Load manually**.
- Select the subtitle file (.srt, .ass or .ssa format) to be loaded under the video file directory.

> ![attention](icon/attention.svg) : You can drag and drop the subtitle file to the video play area to complete the subtitle loading. When loading the subtitles, please make sure the subtitle file loaded is consistent with the video file name and stored in the same directory, so as to load subtitles successfully.

### Select Subtitles

1. On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg).
2. Click on **Subtitles**.
3. Click on **Subtitle selection**.
4. Select the subtitle file needed.

### Hide Subtitles

1. On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg).
2. Click on **Subtitles**.
3. Click on **Hide subtitle**, the preloaded subtitle will not be displayed.

> ![notes](icon/notes.svg) : Only your personal subtitle files loaded can be hidden and subtitles in video files can not be hidden.

### Set Subtitle Modes

You can set subtitles by executing one of the following operations:

1. On Deepin Movie interface, click the right mouse button or click on ![Menu](icon/icon_menu.svg).
2. Click on **Settings**.
3. Clicking on **Subtitle settings**.

![0|srtsetting](png/srtsetting.png)

#### Subtitles Loaded Automatically

1. On Deepin Movie interface, click the right mouse button or click on ![menu](icon/icon_menu.svg).
2. Click on **Subtitles**.
3. Click on **Subtitle settings**.
4. Select the check box of **Subtitles loaded automatically**. As the subtitle files are stored under the same directory as the video files, the subtitles are loaded automatically when you play video files.

#### Set Sizes and Colors of Subtitles

1. On Deepin Movie interface, click the right mouse button or click on ![menu](icon/icon_menu.svg).
2. Click on **Subtitles**.
3. Clicking on **Subtitle settings**, you can:
  - Select the color of the subtitle displayed in **Font color**.
  - Increase or decrease the size of the subtitles displayed by clicking on ![+](icon/icon_plus.svg) or ![-](icon/icon_minus.svg) and reset the font size by clicking on ![Reset](icon/icon_resetarrow.svg) in **Size**.
  -  Increase or decrease the width of the subtitles displayed by clicking on ![+](icon/icon_plus.svg) or ![-](icon/icon_minus.svg) and reset the font width by clicking on ![resetarrow](icon/icon_resetarrow.svg) in **Border width**.
  - Select the color of the subtitle border in **Border color**.

#### Set Subtitle Delay

1. On Deepin Movie interface, click the right mouse button or click on ![menu](icon/icon_menu.svg).
2. Click on **Subtitles**.
3. Clicking on **Subtitle settings**.
4. Advance or delay the displayed time of the subtitles by clicking on ![+](icon/icon_plus.svg) or ![-](icon/icon_minus.svg) and reset the subtitle delay to the default time by clicking on ![resetarrow](icon/icon_resetarrow.svg) in **Sync adjustment (s)**.

>  ![tips](icon/tips.svg): You also can advance or delay the displayed time of the subtitles by pressing ![Shift](icon/Shift.svg)+![Right](icon/Right.svg) or ![Left](icon/Left.svg) on the keyboard. The time advanced or delayed every time is 0.5 second.

#### Adjust Location of Displayed Subtitles

1. On Deepin Movie interface, click the right mouse button or click on ![menu](icon/icon_menu.svg).
2. Click on **Subtitles**.
3. Clicking on **Subtitle settings**.
4. Set the subtitles to let them appear on the top or at the bottom by dragging and dropping the slider in **Position**.

 >  ![tips](icon/tips.svg): You also can move up or move down the positions where subtitles appear by pressing ![Shift](icon/Shift.svg)+ ![Up](icon/Up.svg) or ![Down](icon/Down.svg) on the keyboard.

## Manage Playlist|../common/icon_playlistsetting.svg|

You can enter the playlist to manage your video files, add or delete video files, set up the playback sequence of video files, etc. 

### Unfold Playlist

You can unfold the playlist by executing one of the following operations:

- On Deepin Movie interface, click the right mouse button or click on ![menu](icon/icon_menu.svg) and select **Playlist**.
- On Deepin Movie interface, press ![F3](icon/F3.svg) on the keyboard to unfold or fold the playlist.
- On Deepin Movie interface, unfold the playlist by clicking on ![arrow_left](icon/icon_arrowleft.svg) and fold the playlist by clicking on ![arrow_right](icon/icon_arrowright.svg).
- On Deepin Movie interface, click on ![openplaylist](icon/icon_openplaylist.svg).

![0|playlist](png/playlist.png)

### Add File/Folder

1. On playlist interface, click the right mouse button or click on ![+](icon/icon_plus.svg).
2. Click on **Add file** or **Add folder**.
3. Select a file or folder to add.

> ![notes](icon/notes.svg): You can also drag and drop video the mouse to drag and drop video files or folders to the playlist to add.

### Play Video File

On playlist interface, double-click or right-click the video file, then click on **Play** to play the video.

### View File Storage Path

1. On playlist interface, right-click the video file.
2. Click on **Open file location** to open the folder where this video file is stored.

### Remove Video File

1. On playlist interface, move the mouse pointer over the video file. 
2. Click the right mouse button or click on ![close](icon/icon_close.svg).
3. Click on **Remove from playlist**.

#### Remove Invalid video

Deepin Movie can automatically identify invalid files displayed in gray, you can remove them.

1. On playlist interface, click the right mouse button. 
2. Click on **Remove invalid file**.

### Set Play Sequence

1. On playlist interface, click the right mouse button or click on ![playorder](icon/icon_playorder.svg), you can:
  - Play video files in the playlist in sequence by selecting **Order**.
  - Play the video files in the playlist randomly by selecting **Random**.
  - Stop playing after the current video file has been played by selecting **Single**.
  - Restart playing the current video file by selecting **Repeat (Single)**.
  - Restart playing all video files in the current playlist by selecting **Repeat (Playlist)**.

> ![notes](icon/notes.svg): You can also select **Play Sequence** to set on Deepin Movie interface by clicking the right mouse button or clicking on ![menu](icon/icon_menu.svg).

### Export/Import Playlist

1. On playlist interface, click the right mouse button.
2. Click on **Export**.
3. Select a storage path and export the playlist to this place.
4. If you want to import playlist, please click on **Import**.Then select the playlist and you can see prompts on Deepin Movie interface.

### Clear Playlist

1. On playlist interface, click the right mouse button or click on ![trash](icon/icon_trash.svg).
2. Click on **Clear playlist**.

## Option Settings|../common/icon_optionsetting.svg|

There are more settings waiting for you to choose!

### Basic Settings

![0|basicsetting](png/basicsetting.png)

#### Play Options

1. On Deepin Movie interface, click the right mouse button or click on ![menu](icon/icon_menu.svg).
2. Click on **Settings**.
3. Click on **Basic settings**.
4. In **Play** option, you can:
  - Select the check box of **Fullscreen on opening file**，and then the video will be displayed in fullscreen automatically on playing.
  - Select the check box of **Apply the size last time closed**，and then the video will be displayed in the size last time closed on playing by default.
  - Select the check box of **Clear playlist on opening new file**, and then the previous playlist will be emptied when open new video files to play.
  - select the check box of **Resume playback after restarting player**, and then the video closed last time is continued automatically to play when you open Deepin Movie. 
  - Select the check box of **Continue to next video automatically**, and then the video files with similar names under the same folder are added into the playlist automatically and played in sequence. 
  - Select the check box of **Show preview when hovering over progress bar**, and then the preview window will be displayed when hover the mouse over the playback progress bar. 
  - Select the check box of **Allow multiple instances**, and then multiple windows of Deepin Movie will be opened at the same time to play different video files.
  - Select the check box of **Pause when minimized**, and then the video file will be paused automatically when Deepin Movie is minimized. 

#### Time Span

1. On Deepin Movie interface, click the right mouse button or click on ![menu](icon/icon_menu.svg).
2. Click on **Settings**.
3. Click on **Basic settings**.
4. In **Time span** option, you can increase/decrease time span by clicking on ![+](icon/icon_plus.svg) or ![-](icon/icon_minus.svg) and reset the time span by clicking on ![resetarrow](icon/icon_resetarrow.svg).

### Shortcut Settings
The specific operations of shortcut settings, please refer to [Set Shortcuts](#Set Shortcuts).

### Subtitle Settings
The specific operations of subtitle settings, please refer to [Set Subtitles](#Set Subtitles).

### About

1. On Deepin Movie interface, click the right mouse button or click on ![menu](icon/icon_menu.svg).
2. Click on **Settings**.
3. Click on **About** to view the brief introduction of Deepin Movie.
